searchData={"items":[{"type":"task","title":"mix tectonic","doc":"Invokes tectonic with the given args.\n\nUsage:\n\n    $ mix tectonic TASK_OPTIONS PROFILE TECTONIC_ARGS\n\nExample:\n\n    $ mix tectonic default -X compile --untrusted myfile.tex\n\nIf tectonic is not installed, it is automatically downloaded.\nNote the arguments given to this task will be appended\nto any configured arguments.","ref":"Mix.Tasks.Tectonic.html"},{"type":"task","title":"Options - mix tectonic","doc":"* `--runtime-config` - load the runtime configuration\n    before executing command\n\nNote flags to control this Mix task must be given before the\nprofile:\n\n    $ mix tectonic --runtime-config default","ref":"Mix.Tasks.Tectonic.html#module-options"},{"type":"task","title":"mix tectonic.install","doc":"Installs Tectonic executable.\n\n   $ mix tectonic.install\n   $ mix tectonic.install --if-missing\n\nBy default, it installs 0.15.0 but you\ncan configure it in your config files, such as:\n\n   config :tectonic, :version, \"0.15.0\"","ref":"Mix.Tasks.Tectonic.Install.html"},{"type":"task","title":"Options - mix tectonic.install","doc":"* `--runtime-config` - load the runtime configuration\n     before executing command\n\n   * `--if-missing` - install only if the given version\n     does not exist","ref":"Mix.Tasks.Tectonic.Install.html#module-options"},{"type":"module","title":"Tectonic","doc":"Tectonic is an installer and runner for the [Tectonic](https://tectonic-typesetting.github.io) typesetter. Refer to the [about page](about.md) for more details.","ref":"Tectonic.html"},{"type":"module","title":"Tectonic configuration - Tectonic","doc":"For profile configuration, see the [Get Started](get-started.md#profiles) guide.\n\nThere are several global configuration options for the tectonic application:\n\n  * `:version` - the expected tectonic version\n\n  * `:version_check` - whether to perform the version check or not.\n    Disable when you manage the tectonic executable with an external\n    tool (e.g. OS package manager). *Defaults to `true`.*\n\n  * `:ensure_installed` - whether to automatically install or not.\n    Useful when the package is required by your application runtime. *Defaults to `true`.*\n    **Note: Requires `version_check` to be `true`.**\n\n  * `:cacerts_path` - the directory to find certificates for\n    https connections\n\n  * `:path` - the path to find the tectonic executable at. By\n    default, it is automatically downloaded and placed inside\n    the `_build` directory of your current app\n\nOverriding the `:path` is not recommended, as we will automatically\ndownload and manage `tectonic` for you. But in case you can't download\nit (for example, GitHub behind a proxy), you may want to\nset the `:path` to a configurable system location.\n\nOnce you find the location of the executable, you can store it in a\n`MIX_TECTONIC_PATH` environment variable, which you can then read in\nyour configuration file:\n\n    config :tectonic, path: System.get_env(\"MIX_TECTONIC_PATH\")","ref":"Tectonic.html#module-tectonic-configuration"},{"type":"function","title":"Tectonic.bin_path/0","doc":"Returns the path to the executable.\n\nThe executable may not be available if it was not yet installed.","ref":"Tectonic.html#bin_path/0"},{"type":"function","title":"Tectonic.bin_version/0","doc":"Returns the version of the tectonic executable.\n\nReturns `{:ok, version_string}` on success or `:error` when the executable\nis not available.","ref":"Tectonic.html#bin_version/0"},{"type":"function","title":"Tectonic.config_for!/1","doc":"Returns the configuration for the given profile.\n\nReturns nil if the profile does not exist.","ref":"Tectonic.html#config_for!/1"},{"type":"function","title":"Tectonic.configured_version/0","doc":"Returns the configured tectonic version.","ref":"Tectonic.html#configured_version/0"},{"type":"function","title":"Tectonic.configured_version_installed?/0","doc":"Whether or not the configured version is installed.","ref":"Tectonic.html#configured_version_installed?/0"},{"type":"function","title":"Tectonic.default_base_url/0","doc":"The default URL to install Tectonic from.","ref":"Tectonic.html#default_base_url/0"},{"type":"function","title":"Tectonic.install/1","doc":"Installs tectonic with `configured_version/0`.","ref":"Tectonic.html#install/1"},{"type":"function","title":"Tectonic.install_and_run/2","doc":"Installs, if configured version not available, and then runs `tectonic`.\n\nReturns the same as `run/2`.","ref":"Tectonic.html#install_and_run/2"},{"type":"function","title":"Tectonic.run/2","doc":"Runs the given command with `args`.\n\nThe given args will be appended to the configured args.\nThe task output will be streamed directly to stdio. It\nreturns the status of the underlying call.","ref":"Tectonic.html#run/2"},{"type":"extras","title":"About","doc":"# About\n\nTooling to install and run [Tectonic](https://tectonic-typesetting.github.io/): A modernized, complete, self-contained\n[TeX](https://en.wikipedia.org/wiki/TeX)/[LaTeX](https://www.latex-project.org/)\nengine.","ref":"about.html"},{"type":"extras","title":"Tectonic - About","doc":"Because the LaTeX ecosystem has been around for so long (TeX was first released in 1978!), it can be tricky to wrangle all the compilers, packages, etc. to get a _working_ build, and even harder to get _reproducible_ results from workstation to server.\n\nThe Tectonic typesetting system simplifies this process as a stand-alone executable that:\n\n- Wraps both [XeTeX](http://xetex.sourceforge.net/) and\n  [TeXLive](https://www.tug.org/texlive/)\n- Automatically downloads support files\n- Automatically loops Tex/BibTex to fully process the document\n- Never asks for user interaction\n- Fully supports OpenType fonts and Unicode\n\nCheck out the [Get Started](get-started.md) guide for installation and basic usage.\n\n>","ref":"about.html#tectonic"},{"type":"extras","title":"Attribution Notice {: .info} - About","doc":">\n> The installer code is adapted from the [Tailwind](https://github.com/phoenixframework/tailwind) and [ESBuild](https://github.com/phoenixframework/esbuild) installers, made by Wojtek Mach and José Valim.","ref":"about.html#attribution-notice-info"},{"type":"extras","title":"Get Started","doc":"# Get Started","ref":"get-started.html"},{"type":"extras","title":"Installation - Get Started","doc":"<!-- tabs-open -->","ref":"get-started.html#installation"},{"type":"extras","title":"With Igniter (recommended) - Get Started","doc":"First, to use `mix igniter.new`, the archive must be installed.\n\nTo install Igniter, run:\n\n```bash\nmix archive.install hex igniter_new\n```\n\nThen, install Tectonic:\n\n```elixir\nmix igniter.install tectonic\n```","ref":"get-started.html#with-igniter-recommended"},{"type":"extras","title":"Manual - Get Started","doc":"Add the `tectonic` dependency to your `mix.exs`:\n\n```elixir\ndefp deps do\n  [\n    {:tectonic, \"~> 0.1\"}\n  ]\nend\n```\n\nEdit `config/config.exs` to specificy the Tectonic version to install:\n\n```elixir\nconfig :tectonic, version: \"0.15.0\"\n```\n\nAnd then run `mix deps.get && mix deps.compile` to install the dependencies.\n\n<!-- tabs-close -->\n\nBy default, the Tectonic binary will be automatically installed/updated at application startup.\n\nYou can also install it manually by running:\n\n```bash\n$ mix tectonic.install\n```\n\nor if your platform isn't officially supported by Tectonic,\nyou can supply a third party path to the binary:\n\n```bash\n$ mix tectonic.install [url]\n```\n\nAnd invoke tectonic with:\n\n```bash\n$ mix tectonic default -X compile --untrusted myfile.tex\n```\n\nYou can also use it within your Elixir code:\n\n```elixir\nTectonic.run(:default, ~w[-X compile myfile.tex])\n```\n\nThe executable is kept at `_build/tectonic-TARGET`.\nWhere `TARGET` is your system target architecture.","ref":"get-started.html#manual"},{"type":"extras","title":"Profiles - Get Started","doc":"The first argument to `tectonic` is the execution profile.\nYou can define multiple execution profiles with the current\ndirectory, the OS environment, and default arguments to the\n`tectonic` task:\n\n```elixir\nconfig :tectonic,\n  version: \"0.15.0\",\n  compile: [\n    cd: \"/tmp\",\n    env: %{TECTONIC_UNTRUSTED_MODE: true},\n    args: ~w(\n      -X compile\n    )\n  ]\n```\n\nWhen `mix tectonic compile` is invoked, the task arguments will be appended\nto the ones configured above. Note profiles must be configured in your\n`config/config.exs`, as `tectonic` runs without starting your application\n(and therefore it won't pick settings in `config/runtime.exs`).","ref":"get-started.html#profiles"},{"type":"extras","title":"Change Log","doc":"# Change Log\n\nAll notable changes to this project will be documented in this file.\nSee [Conventional Commits](Https://conventionalcommits.org) for commit guidelines.\n\n<!-- changelog -->\n\n## [v0.2.0](https://github.com/frankdugan3/tectonic/compare/v0.1.1...v0.2.0) (2024-10-28)","ref":"changelog.html"},{"type":"extras","title":"Features: - Change Log","doc":"* implement igniter installer; enable auto install on startup\n\n## [v0.1.1](https://github.com/frankdugan3/tectonic/compare/v0.1.1...v0.1.1) (2024-10-24)","ref":"changelog.html#features"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}